Package org.eclipse.cdt.utils

# Class NM

java.lang.Object
org.eclipse.cdt.utils.NM

public class NM extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`NM.AddressNamePair`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<NM.AddressNamePair>`
`bss_symbols`
`protected List<NM.AddressNamePair>`
`data_symbols`
`protected List<NM.AddressNamePair>`
`text_symbols`
`protected List<String>`
`undef_symbols`

## Constructor Summary

Constructors
Constructor
Description
`NM(String file, boolean dynamic_only)`
`NM(String command, String[] params, String file)`
`NM(String command, String file, boolean dynamic_only)`
`NM(String command, String param, String file)`
`NM(String command, String param, String file, String[] envp)`

## Method Summary

Modifier and Type
Method
Description
`NM.AddressNamePair[]`
`getBSSSymbols()`
`NM.AddressNamePair[]`
`getDataSymbols()`
`NM.AddressNamePair[]`
`getTextSymbols()`
`String[]`
`getUndefSymbols()`
`protected void`
`init(String command, String[] params, String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### undef_symbols

protected List<String> undef_symbols

Since:
  5.1

### text_symbols

protected List<NM.AddressNamePair> text_symbols

Since:
  5.1

### bss_symbols

protected List<NM.AddressNamePair> bss_symbols

Since:
  5.1

### data_symbols

protected List<NM.AddressNamePair> data_symbols

Since:
  5.1

## Constructor Details

### NM

public NM(String file, boolean dynamic_only) throws IOException

Throws:
  `IOException`

### NM

public NM(String command, String file, boolean dynamic_only) throws IOException

Throws:
  `IOException`

### NM

public NM(String command, String param, String file, String[] envp) throws IOException

Throws:
  `IOException`
Since:
  8.2

### NM

public NM(String command, String param, String file) throws IOException

Throws:
  `IOException`

### NM

public NM(String command, String[] params, String file) throws IOException

Throws:
  `IOException`

## Method Details

### init

protected void init(String command, String[] params, String file) throws IOException

Throws:
  `IOException`

### getUndefSymbols

public String[] getUndefSymbols()

### getTextSymbols

public NM.AddressNamePair[] getTextSymbols()

### getDataSymbols

public NM.AddressNamePair[] getDataSymbols()

### getBSSSymbols

public NM.AddressNamePair[] getBSSSymbols()